<?php
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
/*
can_control solo es afectado por guias de remision y guias internas
luego de los cambios solo es afectado por la guias internas
*/
$s="SELECT * FROM vis_parse_cotizaciones 
	WHERE fec>='2021-01-01' AND ca_control<0 AND cot_pri='1' AND ca>0";
/*
$s="SELECT * FROM vis_parse_cotizaciones 
	WHERE  ca_control<0 AND cot_pri='1' AND ca>0";
*/

$s="SELECT * FROM vis_parse_cotizaciones 
	WHERE id_cotizacion=257601";
	
$rs=grs($s);				
while($r=$rs->fetch_assoc()){
	$COT=$r['id_cotizacion'];
	$PRO=$r['id_producto'];
	$PIE=$r['can_uni'];
	$CAN=$r['ca'];
	$KAN=$r['ca_control'];
	//
	$GII_KAN=gn("SUM(CAN)","vis_parse_guias_internas",
			   "ID_COT=$COT AND ID_PRO=$PRO AND PIE=$PIE AND ANU='N'");
	$GIA_KAN=gn("SUM(CAN)","vis_parse_guias",
			   "ID_COT=$COT AND ID_PRO=$PRO AND PIE=$PIE AND ANU='N'");	
	//
	if($GII_KAN==0){
		if($GIA_KAN>0){
			echo "PROF KOD=".$COT."<br>";  
			echo "PRODUCTO=".$r['cod']." - ".$r['des']."<br>";   
			echo "PRODUCTO ID=".$PRO."<br>"; 
			echo "PIEZAS=".$PIE."<br>";   
			echo "PROF CAN=".$CAN."<br>";
			echo "PROF CAN CON=".$KAN."<br>";
			echo "GII CAN=".$GII_KAN."<br>";
			echo "GIA CAN=".$GIA_KAN."<br>";
			echo "REMISION<br>";			
			if($GIA_KAN>=$CAN){
				$s="UPDATE cotizaciones_det 
					SET ca_control=0 
					WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
				ejt($s);
				echo "REMISION OK<br>";
			}else{
				$s="UPDATE cotizaciones_det 
					SET ca_control=ca -$GIA_KAN  
					WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
				ejt($s);
				echo "REMISION XX<br>";				
			}
			echo "=========================<br>";
		}else{
			echo "PROF KOD=".$COT."<br>";  
			echo "PRODUCTO=".$r['cod']." - ".$r['des']."<br>";   
			echo "PRODUCTO ID=".$PRO."<br>"; 
			echo "PIEZAS=".$PIE."<br>";   
			echo "PROF CAN=".$CAN."<br>";
			echo "PROF CAN CON=".$KAN."<br>";
			echo "GII CAN=".$GII_KAN."<br>";
			echo "GIA CAN=".$GIA_KAN."<br>";
			echo "NULL<br>";
			echo "=========================<br>";
		}
	}else{
		if($CAN==$GII_KAN){
			if($GIA_KAN==0){
				$s="UPDATE cotizaciones_det 
					SET ca_control=0 
					WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
				ejt($s);
				echo "TODO OK<br>";
			}else{
				if($GIA_KAN==$CAN){
					$s="UPDATE cotizaciones_det 
						SET ca_control=0 
						WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
					ejt($s);
					echo "DOBLE OK<br>";
				}else{
					echo "PROF KOD=".$COT."<br>";  
					echo "PRODUCTO=".$r['cod']." - ".$r['des']."<br>";  
					echo "PRODUCTO ID=".$PRO."<br>"; 
					echo "PIEZAS=".$PIE."<br>";      
					echo "PROF CAN=".$CAN."<br>";
					echo "PROF CAN CON=".$KAN."<br>";
					echo "GII CAN=".$GII_KAN."<br>";
					echo "GIA CAN=".$GIA_KAN."<br>";
					echo "OBSERVACION OK<br>";
					echo "=========================<br>";
					$s="UPDATE cotizaciones_det 
						SET ca_control=0 
						WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
					ejt($s);
				}
			}
		}else{
				echo "PROF KOD=".$COT."<br>";  
				echo "PRODUCTO=".$r['cod']." - ".$r['des']."<br>";  
				echo "PRODUCTO ID=".$PRO."<br>"; 
				echo "PIEZAS=".$PIE."<br>";      
				echo "PROF CAN=".$CAN."<br>";
				echo "PROF CAN CON=".$KAN."<br>";
				echo "GII CAN=".$GII_KAN."<br>";
				echo "GIA CAN=".$GIA_KAN."<br>";
			if($GII_KAN>$CAN){
				//ESTO OCURRE CUANDO EN COT SE INGRESO 2 VECES EL MISMO PRO/PIEZA
				$SUMA=gn("SUM(ca)","cotizaciones_det","id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE");
				if($SUMA==$GII_KAN){
					echo "SALIO DE MAS OK <br>";
					$s="UPDATE cotizaciones_det 
						SET ca_control=0 
						WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
					ejt($s);
				}else{
					echo "SALIO DE MUCHO MAS<br>";
				}
			}else{			
				if($GIA_KAN>0){
					$s="UPDATE cotizaciones_det 
						SET ca_control=ca - $GII_KAN 
						WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
					ejt($s);
					echo "INCOHERENCIA OK<br>";						
				}else{
					$s="UPDATE cotizaciones_det 
						SET ca_control=ca - $GII_KAN 
						WHERE id_cotizacion=$COT AND id_producto=$PRO AND can_uni=$PIE";
					ejt($s);
					echo "INCOHERENCIA ERROR<br>";
				}
				
			}
			echo "=========================<br>";
		}	
	}
	//
	T_P_ACT_PRO_PIE($PRO,$PIE);
	echo "<br><br><br><br><br><br><br>";
	//
}
echo "OK";
?>